URL structure
{itemId} is the ID of a file object/Secure Object or folder/collection.
Supported methods and overview
GET- retrieves history information about the activities which have been performed on a specified file object/Secure Object or folder/collection (i.e. item), specified byitemId.
Detailed description
This API endpoint retrieves history information about the activities which have been performed on a file object or folder, specified byitemId. Activities are retrieved in reverse chronological order.
The item’s ID can be obtained by calling the <access-service>/api/v1/organisations/{orgId}/items API endpoint, which retrieves a list of information associated with file objects and folders that can be filtered using various ‘search’ criteria.
The extent of history information retrieved in a response depends on the role of the Covata user (whose access token is submitted in the request to this endpoint) and this user’s relationship to this item. The extent of history information decreases based on these user relationship to items and roles (explained in more depth in the next section), in the following order:
- Items belonging to an organization in which this user has the Organization administrator role.
- Items that this user owns.
- Items that this user is a collaborator on.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide):- Originator - when this user owns the item whose ID is specified by
{itemId}in the request’s URL. - Collaborator and Ad hoc - when this user is a collaborator on the item whose ID is specified by
{itemId}in the URL. - Organization administrator - when this user is a member of the organization that contains the item whose ID is specified by
{itemId}in the URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Optional parameters
The following optional parameters can be sent in the URL of the GET request:-
cursor - The ID for an activity entry (typically the chronologically previous one), retrieved in the response (below) from a request to this endpoint. This ID value relates to the activity entry that continues on from this response’s last activity entry, which in turn was based on the combination of the values for cursor and pageSize (below) submitted in this response’s request. The combination of these two parameters provides a mechanism for paginating activity entry results. If this cursor parameter is omitted, then its value is
0by default, which is the most recent activity entry recorded on the item. -
pageSize - A value from
1to100indicating the number of activity entries to be returned in the response. If this parameter is omitted, then its value is10by default.
Example (request):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
A JSON-formatted response containing the following members:
- nextCursor - The ID for the activity entry following the last element of the activities array (below) retrieved in the response. This is the chronologically previous activity entry (after the last one retrieved in this response).
-
previousCursor - The ID for the activity entry preceding the first element of the activities array (below) retrieved in the response. This is the chronologically next activity entry (before the first one retrieved in this response).
Note: If the first activity entry is the most recent activity entry recorded on the item, then this value is0. -
activities - An array of individual activity entries on the item, listed in reverse chronological order. Each element of this array contains information about one of these activity entries and is represented as an object, containing the following members:
-
actor - A member containing information about the Covata user account that performed the action (below). This member contains the following sub-members:
- type - Should be
USER, indicating that this member contains information about a Covata user account. - id - The ID of the Covata user’s account.
- email - The email address of this Covata user.
- firstName - The first name set by this Covata user. This is the first name that appears on the Users page of Safe Share Organization Administration and the My Account feature of Covata Safe Share for Web.
- lastName - The last name set by this Covata user. Like the first name (above), this appears on the User page of Organization Administration and the My Account feature of Safe Share for Web.
- type - Should be
-
action - A string/enumeration (enum) value representing the individual action performed on the item.
- Direct item manipulation through the Covata Platform’s Access Service -
CREATE_ITEM,MOVE_ITEM,RENAME_ITEM,RECYCLE_ITEM,RESTORE_ITEM,DELETE_ITEM. - Sharing-related item manipulation through the Access Service -
ACCESS_GRANTED,SHARE_ITEM,PERMISSION_CHANGE,UNSHARE_ITEM,CHANGE_ITEM_LABEL,REMOVE_ITEM_LABEL. - Organization administrator-related item manipulation through the Access Service -
ENABLE_ITEM,DISABLE_ITEM,CHANGE_ITEM_OWNER. - Direct item handling through the Covata Platform’s Content Service -
SET_VIEWABLE_CONTENT(a file object’s read-only view is automatically generated),ACCESS_ORIGINAL_CONTENT(a file object’s actual content is accessed),ACCESS_VIEWABLE_CONTENT(a file object’s read-only view is accessed). - File object version handling -
CREATE_VERSION(a new version of a file is created),ACTIVATE_VERSION(another version of a file is set as active),DELETE_VERSION. UNKNOWN- Anything else that is not covered by an existing action (above).
- Direct item manipulation through the Covata Platform’s Access Service -
- severity - .
-
target ( only returned for applicable actions above ) - A member containing information about the Covata user account to which the action (above) was directed. This member contains the following sub-members:
- type - Should be
USER, indicating that this member contains information about a Covata user account. - id - The ID of the Covata user’s account.
- email - The email address of this Covata user.
- firstName - The first name set by this Covata user. This is the first name that appears on the Users page of Safe Share Organization Administration and the My Account feature of Covata Safe Share for Web.
- lastName - The last name set by this Covata user. Like the first name (above), this appears on the User page of Organization Administration and the My Account feature of Safe Share for Web.
- type - Should be
- timestamp - .
-
actor - A member containing information about the Covata user account that performed the action (below). This member contains the following sub-members:

